package io.hmit.modules.serviceOrder.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import io.hmit.common.entity.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

/**
 * 文件信息表
 *
 * @author zsh 408538940@qq.com
 * @since 1.0.0 2021-01-27
 */
@Data
@EqualsAndHashCode(callSuper=false)
@TableName("pension_document")
public class PensionDocumentEntity extends BaseEntity {
	private static final long serialVersionUID = 1L;

    /**
     * 文件名
     */
	private String fileName;
    /**
     * 文件大小
     */
	private Double fileSize;
    /**
     * 文件路径
     */
	private String filePath;
    /**
     * 文件真实路径
     */
	private String filePathAct;
    /**
     * 文件类型
     */
	private String fileType;
    /**
     * 备注
     */
	private String remark;
    /**
     * 状态
     */
	private String status;
    /**
     * 创建者dept_id
     */
	private Long deptId;
    /**
     * 更新者
     */
	private Long updater;
    /**
     * 更新时间
     */
	private Date updateDate;
}