package io.hmit.modules.serviceOrder.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import io.hmit.common.entity.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

/**
 * 角色管理
 *
 * @author zsh 408538940@qq.com
 * @since 1.0.0 2021-01-26
 */
@Data
@EqualsAndHashCode(callSuper=false)
@TableName("tb_role")
public class RoleEntity extends BaseEntity {
	private static final long serialVersionUID = 1L;

    /**
     * 角色名称
     */
	private String name;
    /**
     * 备注
     */
	private String remark;
    /**
     * 部门ID
     */
	private Long deptId;
    /**
     * 更新者
     */
	private Long updater;
    /**
     * 更新时间
     */
	private Date updateDate;
}