package io.hmit.modules.serviceOrder.excel;

import cn.afterturn.easypoi.excel.annotation.Excel;
import lombok.Data;

import java.util.Date;

/**
 * 订单表
 *
 * @author zsh 408538940@qq.com
 * @since 1.0.0 2021-01-26
 */
@Data
public class PensionOrderExcel {
    @Excel(name = "id")
    private Long id;
    @Excel(name = "订单编号")
    private String orderNum;
    @Excel(name = "订单状态")
    private Integer status;
    @Excel(name = "订单状态名称")
    private String statusName;
    @Excel(name = "详细地址")
    private String address;
    @Excel(name = "订单所属的服务id")
    private Long serviceId;
    @Excel(name = "订单所属的服务名称")
    private String serviceName;
    @Excel(name = "预约人")
    private String appointmentPerson;
    @Excel(name = "预约人电话")
    private String appointmentPhone;
    @Excel(name = "预约时间")
    private Date appointmentTime;
    @Excel(name = "备注")
    private String remark;
    @Excel(name = "接单人id")
    private Long orderRecipientId;
    @Excel(name = "接单人姓名")
    private String orderRecipientName;
    @Excel(name = "接单时间")
    private Date orderRecipientTime;
    @Excel(name = "接单人电话")
    private String orderRecipientPhone;
    @Excel(name = "部门ID")
    private Long deptId;
    @Excel(name = "创建者")
    private Long creator;
    @Excel(name = "订单发起人")
    private String creatorName;
    @Excel(name = "订单发起人联系电话")
    private String creatorTel;
    @Excel(name = "创建时间")
    private Date createDate;
    @Excel(name = "更新者")
    private Long updater;
    @Excel(name = "更新时间")
    private Date updateDate;

}
