package io.hmit.modules.serviceOrder.excel;

import cn.afterturn.easypoi.excel.annotation.Excel;
import lombok.Data;

import java.util.Date;

/**
 * 服务种类表
 *
 * @author zsh 408538940@qq.com
 * @since 1.0.0 2021-01-26
 */
@Data
public class PensionServiceTypeExcel {
    @Excel(name = "id")
    private Long id;
    @Excel(name = "类型名称")
    private String name;
    @Excel(name = "排序")
    private Integer sort;
    @Excel(name = "图标地址")
    private String icon;
    @Excel(name = "备注")
    private String remark;
    @Excel(name = "部门ID")
    private Long deptId;
    @Excel(name = "创建者")
    private Long creator;
    @Excel(name = "创建时间")
    private Date createDate;
    @Excel(name = "更新者")
    private Long updater;
    @Excel(name = "更新时间")
    private Date updateDate;

}