package io.hmit.modules.serviceOrder.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import io.hmit.common.entity.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

/**
 * 用户
 *
 * @author zsh 408538940@qq.com
 * @since 1.0.0 2021-01-27
 */
@Data
@EqualsAndHashCode(callSuper=false)
@TableName("tb_user")
public class UserEntity extends BaseEntity {
	private static final long serialVersionUID = 1L;

    /**
     * 关联sys_user中的id
     */
	private Long userId;
    /**
     * 用户名
     */
	private String username;
	/**
	 * 头像
	 */
	private String headUrl;
    /**
     * 手机号
     */
	private String mobile;
    /**
     * 密码
     */
	private String password;
    /**
     * 微信openid
     */
	private String openid;
    /**
     * 生日
     */
	private Date birthday;
    /**
     * 地址_地区
     */
	private String addressArea;
    /**
     * 详细地址
     */
	private String address;
}
