package io.hmit.modules.serviceOrder.excel;

import cn.afterturn.easypoi.excel.annotation.Excel;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 服务表
 *
 * @author zsh 408538940@qq.com
 * @since 1.0.0 2021-01-26
 */
@Data
public class PensionServiceExcel {
    @Excel(name = "id")
    private Long id;
    @Excel(name = "服务名称")
    private String name;
    @Excel(name = "服务类型")
    private Long serviceTypeId;
    @Excel(name = "排序")
    private Integer sort;
    @Excel(name = "首页图标地址")
    private String icon;
    @Excel(name = "详情页大图地址")
    private String detailPicture;
    @Excel(name = "价格")
    private BigDecimal price;
    @Excel(name = "积分值")
    private Integer giftPoint;
    @Excel(name = "服务次数")
    private Integer timesNum;
    @Excel(name = "服务时间")
    private String serviceTime;
    @Excel(name = "备注")
    private String remark;
    @Excel(name = "部门ID")
    private Long deptId;
    @Excel(name = "创建者")
    private Long creator;
    @Excel(name = "创建时间")
    private Date createDate;
    @Excel(name = "更新者")
    private Long updater;
    @Excel(name = "更新时间")
    private Date updateDate;

}