package io.hmit.modules.serviceOrder.service;

import io.hmit.common.service.CrudService;
import io.hmit.modules.serviceOrder.dto.RoleServiceDTO;
import io.hmit.modules.serviceOrder.entity.RoleServiceEntity;

import java.util.List;

/**
 * 角色菜单关系
 *
 * @author zsh 408538940@qq.com
 * @since 1.0.0 2021-01-26
 */
public interface RoleServiceService extends CrudService<RoleServiceEntity, RoleServiceDTO> {

    void saveOrUpdateRoleService(Long roleId, List<Long> serviceIdList) ;
    /**
     * 根据角色ID，获取服务ID列表
     */
    List<Long> getServiceIdList(Long roleId);

}
